const express = require('express');
const { authenticate, authorize } = require('../middleware/auth');
const CustomerController = require('../controllers/CustomerController');

const router = express.Router();

router.post('/', CustomerController.create);
router.get('/', authenticate, authorize('admin', 'manager'), CustomerController.getAll);
router.get('/:id', authenticate, authorize('admin', 'manager', 'staff'), CustomerController.getById);

module.exports = router;
